summaryrefslogtreecommitdiff
path: root/tests/build-stratum-distributed-local.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/build-stratum-distributed-local.script')
-rwxr-xr-xtests/build-stratum-distributed-local.script31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/build-stratum-distributed-local.script b/tests/build-stratum-distributed-local.script
new file mode 100755
index 00000000..2e381fd7
--- /dev/null
+++ b/tests/build-stratum-distributed-local.script
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# Test build a simple stratum using as many local workers as makes sense.
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+export PATH="`pwd`:$PATH"
+
+cache="$DATADIR/build-stratum-cache"
+log="$DATADIR/build-stratum-morph.log"
+./morph --no-default-configs \
+ build-distributed morphs-repo master hello-stratum.morph \
+ --git-base-url="file://$DATADIR" \
+ --cachedir="$cache" --keep-path --no-distcc \
+ --log="$log" || cat "$log" 1>&2
+tar -tf "$cache/"*.stratum.* | LC_ALL=C sort | sed '/^\.\/./s:^\./::'